curator(1)

NAME
curator — Generate HTML image gallery pages

SYNOPSIS

curator [options] [<root>]

DESCRIPTION

This manual page documents briefly the curator command.

This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page. Instead, it has documentation embedded within the program itself.

curator is a powerful script that allows one to generate Web page image galleries with the intent of displaying photographic images on the Web, or for a CD-ROM presentation and archiving. It generates static Web pages only - no special configuration or running scripts are required on the server. The script supports many file formats, hierarchical directories, thumbnail generation and update, per-image description file with any attributes, and 'tracks' of images spanning multiple directories. The templates consist of HTML with embedded Python. Running this script only requires a recent Python interpreter (version 2or more) and the ImageMagick tools.

All links it generates are relative links, so that the pages can be moved or copied to different media. Each image page and directory can be associated any set of attributes which become available from the template (this way you can implement descriptions, conversion code, camera settings, and more).

Type 'curator --help-script' for help on the scripting environment.

OPTIONS

A more complete list can be gathered from using the --help switch of the command. Some options support either short (single dash) or long (double dash) formats.

--help, -h
    show detailed help message

--help-script
    show scripting environment documentation

--version, -V
    prints version

--verbose, -v
    run verbosely (default)

--quiet, --silent, -q
    run quietly (turns verbosity off)

--no-thumbgen
    don't generate thumbnails

--force-thumbgen, -h
    overwrite existing thumbnails

--no-index
    don't generate HTML indexes

--force-index, -i
    overwrite existing HTML indexes

--no-imagepage
    don't generate HTML image pages

--force-imagepage, -j
    overwrite existing HTML image pages

--force
    generate and overwrite everything (i.e. forces thumbnails, indexes and imagepages)

--no-html, -n
    don't generate html (i.e. indexes and imagepages)

--force-html, -F
    generate and overwrite html (i.e. forces indexes and imagepages)

--use-repn
    Don't generate an image page if there is no base file (i.e. a file without an alternate repn suffix. The default selection algorithm is to choose 1) the first of the affinity repn which is an image file (see repn-affinity option), 2) the first of the base files which is an image file, 3) (optional) the first of the alternate representations which is an image file. This option adds step (3).

--repn-affinity
    Specifies a comma separated list of regular expressions to match for alt.repn files and file extensions to prefer when searching for a main image file to generate a page for (e.g. ".jpg,-- 768..*,.gif".

--templates, -t
    Specifies the directory where to take templates from (default: root). This takes precedence over the CURATOR_TEMPLATE environment variable AND over the root

--rc
    Specifies an additional global file to include and run in the page environment before expanding the templates. This can be used to perform global initialization and customization of template variables. The file template-rc.py is searched in the same order as for templates and is executed in that order as well. Note that output when executing this goes to stdout.

--rccode
    specifies additional global init code to run in the global environment. This can be used to parameterize the templates from the command line (see option -- rc).

--save-templates, -S
    Saves the template files in the root of the hierarchy. Previous copies, if existing and different from the current template, are moved into backup files. This can be useful for keeping template files around for future regeneration, or for saving a copy before editing.

--rc
    Specifies an additional global file to include and run in the page environment before expanding the templates. This can be used to perform global initialization and customization of template variables. The file template-rc.py is searched in the same order as for templates and is executed in that order as well. Note that output when executing this goes to stdout.

--ignore-errors, -k
    Ignore errors in templates

--ignore-pattern, -I
    regexp to specify image files to ignore

--htmlext
    specifies html files extension (default: '.html')

--attrext
    specifies attributes files extension (default: '.desc')

--newthumbext
    specifies new thumbnail extension/type (default: '.jpg')

--thumb-sfx
    specifies the thumbnail alt.repn. suffix (default: 'thumb')

--separator, -p
    specify the image basename separator from the suffix and extension (default: --)

--copyright, -C
    specifies a copyright notice to include in image conversions

--no-meta, -M
    disables generator meta information addition

--magick-path
    specify imagemagick path to use

--old-magick
    use old imagemagick features (default)

--new-magick
    use new imagemagick features

--no-magick
    disable using imagemagick

--thumb-size, -s
    specifies size in pixels of thumbnail largest side

--check-thumb-size
    check the size of existing thumbnails to make sure they're appropriately sized

--thumb-quality, -Q
    specify quality for thumbnail conversion (see convert(1))

--fast, -X
    disables some miscalleneous slow checks, even if the consistency can be shaken up. Don't use this, this is a debugging tool

--clean
    remove all files generated by curator. Curator exits after clean up.

SEE ALSO

For more information about the program and it's capabilities are described in the --help output.

AUTHOR

curator was written by Martin Blais <blais@iro.umontreal.ca> and may be downloaded directly from http://curator.sourceforge.net/

This manual page was created by Dave Baker <dsb3@debian.org> for the Debian GNU/Linux system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts and no Back-Cover Texts.